﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using AnnotationEditorDemo.Models;
using System.IO;

namespace AnnotationEditorDemo.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        [Route("Home/GetPdf")]
        public virtual IActionResult GetSamplePdf()
        {            
            FileStream fs = new FileStream("SampleSalarySlip.pdf", FileMode.Open);
            FileStreamResult result = new FileStreamResult(fs, "application/pdf");            
            return result;
        }
    }
}
